@import "variables/colors";
@import "variables/font";

.offer-card {
  border-radius: 9px;
  max-width: 243px;
  min-width: 243px;

  .header {
    align-items: center;
    border-radius: 9px 9px 0px 0px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 1rem;

    &__title-container {
      display: grid;
      gap: 0.5rem;
      grid-template-columns: 1fr 20px;

      .title {
        color: $neutral;
        font-family: $poppins-bold;
        margin: 0.5rem 0 0;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
      }
      .icon {
        margin: auto;
      }
    }

    .offers-count {
      font-family: $poppins-semibold;
      font-size: $h5-font-size;
    }

    .product-id {
      font-size: 10px;
    }

    .offers-count,
    .product-id {
      color: $neutral;
      margin: 0;
      padding: 0;
    }
  }

  .body {
    border-radius: 0px 0px 9px 9px;
    border-top: none !important;
    .empty {
      display: flex;
      flex-direction: column;
      gap: 15px;
      max-height: 174px;
      min-height: 174px;
      overflow-y: auto;
      padding: 13px;
    }

    .empty {
      align-items: center;
      display: flex;
      justify-content: center;

      .empty-msg {
        color: $neutral-60;
        font-size: 12px;
        margin: 0;
        padding: 0;
        text-align: center;
      }
    }

    &__buttons {
      align-items: center;
      display: flex;
      flex-direction: column;
      padding: 0.5rem 0;

      ::ng-deep {
        button {
          width: 200px;
        }
      }
    }
  }

  &.template-green {
    .header {
      background-color: $caribbean-green-80;
    }
    .body {
      border: 1px solid $caribbean-green-80;
    }
  }

  &.template-dark-green {
    .header {
      background-color: $caribbean-green-100;
    }

    .body {
      border: 1px solid $caribbean-green-80;
    }
  }

  &.template-light-green {
    .header {
      background-color: $caribbean-green-60;
    }

    .body {
      border: 1px solid $caribbean-green-60;
    }
  }

  &.template-additional {
    .header {
      background-color: $aditional-yellow-60;
    }

    .body {
      border: 1px solid $caribbean-green-60;
    }
  }
}
